#!/usr/bin/perl
# Made by Hojin Choi <hojin.choi@gmail.com>
# $Id$

if( $#ARGV != 0 )
{
	print "Usage: $0 <text template>\n";
	exit 1;
}

$text_template = $ARGV[0];

open TMPL, $text_template or die "No template release notes template: $text_template";

while( <TMPL> )
{
	s/^\s+//;
	s/\s+$//;
	$releasenote .= $_ . "__NEWLINE__";
}

close( TMPL );

($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = gmtime(time);
$year += 1900;
$mon += 1;
$current_time = sprintf( "%04d-%02d-%02d %02d:%02d:%02d+0000", $year, $mon, $mday, $hour, $min, $sec );

print <<"EOT"
# Subversion Releasenote POT

msgid ""
msgstr ""
"Project-Id-Version: PACKAGE VERSION\\n"
"Report-Msgid-Bugs-To: dev\@subversion.tigris.org\\n"
"POT-Creation-Date: $current_time\\n"
"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\\n"
"Last-Translator: FULL NAME <EMAIL\@ADDRESS>\\n"
"Language-Team: LANGUAGE <LL\@li.org>\\n"
"MIME-Version: 1.0\\n"
"Content-Type: text/plain; charset=CHARSET\\n"
"Content-Transfer-Encoding: 8bit\\n"

EOT
;

while( $releasenote =~ s/<translate>(.+?)<\/translate>//im )
{
	$msgid = $1;
	$msgid =~ s/"/\\\"/mg;
	if( $msgid =~ s/__NEWLINE__/\\n\"\n"/mg )
	{
		$msgid = "\"\n\"$msgid";
	}
	if( $msgid_check{$msgid} ne "Y" )
	{
		print qq(msgid "$msgid"\n);
		print qq(msgstr ""\n\n);
	}
	$msgid_check{$msgid} = "Y";
}

